Subject: bug#23704: 25.1.50; Emacs crash in syntax.c

From: Eli Zaretskii <[email-masked]>
Date: Tue, 07 Jun 2016 05:38:47 +0300

> Cc: [email-masked], [email-masked], [email-masked]
> From: Paul Eggert <[email-masked]>
> Date: Mon, 6 Jun 2016 13:07:40 -0700
> 
> On 06/06/2016 11:58 AM, Eli Zaretskii wrote:
> > However, isn't this just part of the problem?  What about the call to
> > UPDATE_SYNTAX_TABLE_FORWARD?
> 
> Ouch, I misread the surrounding code as ifs not whiles. You're right, 
> the patch fixes only a small part of the problem. I'll look into 
> generalizing it, for master.

I think we need to fix the rest on the release branch as well.  Such
problems always mean Emacs will segfault, and I don't think we want to
release with such a problem.

Thanks.